Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
copy_stream_struct Struct Reference

## Data Fields
VALUE | src
VALUE | dst
off_t | copy_length
off_t | src_offset
int | src_fd
int | dst_fd
int | close_src
int | close_dst
off_t | total
const char * | syserr
int | error_no
const char * | notimp
rb_fdset_t | fds
VALUE | th

## Detailed Description

Definition at line 9578 of file io.c.

## Field Documentation

int copy_stream_struct::close_dst

Definition at line 9587 of file io.c.

Referenced by copy_stream_body(), and copy_stream_finalize().

int copy_stream_struct::close_src

Definition at line 9586 of file io.c.

Referenced by copy_stream_body(), copy_stream_finalize(), and nogvl_copy_stream_read_write().

off_t copy_stream_struct::copy_length

Definition at line 9581 of file io.c.

Referenced by copy_stream_body(), copy_stream_fallback_body(), nogvl_copy_stream_read_write(), and rb_io_s_copy_stream().

VALUE copy_stream_struct::dst

Definition at line 9580 of file io.c.

Referenced by copy_stream_body(), copy_stream_fallback_body(), copy_stream_finalize(), and rb_io_s_copy_stream().

int copy_stream_struct::dst_fd

Definition at line 9585 of file io.c.

Referenced by copy_stream_body(), nogvl_copy_stream_wait_write(), and nogvl_copy_stream_write().

int copy_stream_struct::error_no

Definition at line 9590 of file io.c.

Referenced by copy_stream_finalize(), maygvl_copy_stream_read(), maygvl_copy_stream_wait_read(), nogvl_copy_stream_read_write(), nogvl_copy_stream_wait_write(), and nogvl_copy_stream_write().

rb_fdset_t copy_stream_struct::fds

Definition at line 9592 of file io.c.

Referenced by copy_stream_body(), copy_stream_finalize(), maygvl_copy_stream_wait_read(), nogvl_copy_stream_wait_write(), and rb_io_s_copy_stream().

const char* copy_stream_struct::notimp

Definition at line 9591 of file io.c.

Referenced by copy_stream_finalize(), and maygvl_copy_stream_read().

VALUE copy_stream_struct::src

Definition at line 9579 of file io.c.

Referenced by copy_stream_body(), copy_stream_fallback_body(), copy_stream_finalize(), and rb_io_s_copy_stream().

int copy_stream_struct::src_fd

Definition at line 9584 of file io.c.

Referenced by copy_stream_body(), copy_stream_fallback(), copy_stream_fallback_body(), maygvl_copy_stream_read(), maygvl_copy_stream_wait_read(), and nogvl_copy_stream_read_write().

off_t copy_stream_struct::src_offset

Definition at line 9582 of file io.c.

Referenced by copy_stream_body(), copy_stream_fallback(), copy_stream_fallback_body(), nogvl_copy_stream_read_write(), and rb_io_s_copy_stream().

const char* copy_stream_struct::syserr

Definition at line 9589 of file io.c.

Referenced by copy_stream_finalize(), maygvl_copy_stream_read(), maygvl_copy_stream_wait_read(), nogvl_copy_stream_read_write(), nogvl_copy_stream_wait_write(), and nogvl_copy_stream_write().

VALUE copy_stream_struct::th

Definition at line 9593 of file io.c.

Referenced by copy_stream_body(), and maygvl_copy_stream_continue_p().

off_t copy_stream_struct::total

Definition at line 9588 of file io.c.

Referenced by copy_stream_body(), copy_stream_fallback_body(), and nogvl_copy_stream_write().

The documentation for this struct was generated from the following file:

- io.c